Subject: Re: [PATCH 6/6] net: move qdisc ingress filtering on top of netfilter ingress hooks

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 29 Apr 2015 22:35:21 -0400

On 04/29/15 21:43, Patrick McHardy wrote:
> On 30.04, Daniel Borkmann wrote:
>> On 04/30/2015 02:37 AM, Patrick McHardy wrote:
>>> On 30.04, Pablo Neira Ayuso wrote:

>> Totally agree with you that the situation is quite a mess. From tc ingress/
>> egress side, at least my use case is to have an as minimal as possible entry
>> point for cls_bpf/act_bpf, which is what we were working on recently. That
>> is rather ``fresh'' compared to the remaining history of cls/act in tc.
>
> It's more than a mess. Leaving aside the fully broken code at ingress,
> just look at the TC action APIs. Its "a failed state".

Since youve repeated about 100 that tc api being broken, maybe
you can explain more rationally? By that i mean dont use words
like words like "crap" or "failed state" or no chest-thumping.
Lets say we totally stopped trying to reuse netfilter code, what are
you talking about?

I think there is confusion about usability vs merits of performance.

cheers,
jamal